---
search:
  tags:
    - Segments
    - GET
seo:
  description: >-
    Retrieve a segment. Reference for the GET /segments/{id} endpoint in the
    BillionSend API.
sidebar:
  label: Retrieve a segment
  badge: GET
title: Retrieve a segment
type: openapi-operation
---
`GET /segments/{id}`

**Responses**

- `200` — Segment
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "segment",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "filter": {
    "match": "all",
    "conditions": [
      {
        "field": "string",
        "op": "string",
        "value": "string"
      }
    ]
  },
  "created_at": "string",
  "contact_count": 0
}
```
